---
- name: "Include OS-specific lustre repo configuration tasks"
  include_tasks: "install-repo-{{ ansible_os_family }}-{{ ansible_distribution_major_version }}.yml"

- name: "Install Lustre client packages"
  yum:
    name: "{{ lustre_client_packages }}"
    enablerepo: "{{ lustre_repo_name | default(omit) }}"
    state: present
  when: lustre_version is version('2.9.0', '>=')

- name: "Install Lustre (legacy) client packages"
  yum:
    name: "{{ lustre_client_legacy_packages }}"
    enablerepo: "{{ lustre_repo_name | default(omit) }}"
    state: present
  when: lustre_version is version('2.9.0', '<')

- name: "Install Lustre client debuginfo packages"
  yum:
    name: "{{ lustre_client_debuginfo_packages }}"
    enablerepo: "{{ lustre_repo_name | default(omit) }}"
    state: present
  when:
    - lustre_version is version('2.9.0', '>=')
    - lustre_install_debuginfo | bool
